Bug 1804012 - Report information on bare metal systems about system manufacturer and product info
Summary: Report information on bare metal systems about system manufacturer and produc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.0
Assignee: Clayton Coleman
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1805275
Blocks: 1804825
TreeView+ depends on / blocked
 
Reported: 2020-02-18 02:09 UTC by Clayton Coleman
Modified: 2020-05-13 21:58 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1804825 1805275 (view as bug list)
Environment:
Last Closed: 2020-05-13 21:58:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 656 0 None closed Bug 1804012: Report system manufacturer via telemetry 2020-03-24 03:47:56 UTC
Github openshift cluster-monitoring-operator pull 661 0 None closed [release-4.4] Bug 1804012: Report system manufacturer via telemetry 2020-03-24 03:47:56 UTC
Github openshift node_exporter pull 57 0 None closed Bug 1804012: On bare metal, detect system info 2020-03-24 03:47:56 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-13 21:58:30 UTC

Description Clayton Coleman 2020-02-18 02:09:37 UTC
In order to better support bare metal deployments, clusters under telemetry should report a subset of system information for each node, including bios, system, and baseboard manufacturer and product names.  Summarize that in virt_platform reported back.

The cardinality of this metric might be higher on bare metal clusters, but in general larger clusters have significantly fewer hardware sets than nodes.

Comment 8 errata-xmlrpc 2020-05-13 21:58:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.